Subject: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: Philipp Stephani <[email-masked]>
Date: Sat, 12 Dec 2020 15:28:06 +0100

Am So., 6. Dez. 2020 um 20:26 Uhr schrieb Dmitry Gutov <[email-masked]>:
>
> On 06.12.2020 19:02, Philipp Stephani wrote:
> > I designed the C JSON
> > functions partially because I disagree with some aspects of API design
> > and behavior of the Elisp functions, so they are pretty much
> > incompatible on purpose
>
> So this difference in keywords serialization was by design?
>
> ELISP> (json-serialize '(:a 1 :b 2))
> "{\"a\":1,\"b\":2}"
> ELISP> (json-serialize '((:a . 1) (:b . 2)))
> "{\":a\":1,\":b\":2}"

I can't answer that. When I wrote json.c, I had it only support
hashtables, and list support is a later addition.